Package com.pixelmed.test

# Class TestHierarchicalFileName.InstanceNumberMoveDicomFilesIntoHierarchy

java.lang.Object
com.pixelmed.dicom.MoveDicomFilesIntoHierarchy
com.pixelmed.test.TestHierarchicalFileName.InstanceNumberMoveDicomFilesIntoHierarchy

Enclosing class:
  TestHierarchicalFileName

protected class TestHierarchicalFileName.InstanceNumberMoveDicomFilesIntoHierarchy extends MoveDicomFilesIntoHierarchy

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.dicom.MoveDicomFilesIntoHierarchy

`MoveDicomFilesIntoHierarchy.FolderNamingStrategy, MoveDicomFilesIntoHierarchy.OurReadTerminationStrategy`

## Field Summary

### Fields inherited from class com.pixelmed.dicom.MoveDicomFilesIntoHierarchy

`defaultDuplicatesFolderNamePrefix, defaultHierarchicalFolderName, folderNamingStrategyToUseIfUnspecified, includeDateTimeInSeriesFolderName, includeInConcatenationNumberWithInstanceNumber, terminateAfterRelationshipGroup`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`InstanceNumberMoveDicomFilesIntoHierarchy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`makeInstanceLabelFromAttributes(AttributeList list, int folderNamingStrategy)`
Create an instance label based on the DICOM attributes of the form:

### Methods inherited from class com.pixelmed.dicom.MoveDicomFilesIntoHierarchy

`main, makeHierarchicalPathFromAttributes, makeHierarchicalPathFromAttributes, makePatientLabelFromAttributes, makeSeriesLabelFromAttributes, makeStudyLabelFromAttributes, processFilesRecursively, renameFileWithHierarchicalPathFromAttributes, renameFileWithHierarchicalPathFromAttributes, renameFileWithHierarchicalPathFromAttributes, renameFileWithHierarchicalPathFromAttributes, renameFileWithHierarchicalPathFromAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstanceNumberMoveDicomFilesIntoHierarchy

protected InstanceNumberMoveDicomFilesIntoHierarchy()

## Method Details

### makeInstanceLabelFromAttributes

public String makeInstanceLabelFromAttributes(AttributeList list, int folderNamingStrategy)
Description copied from class: `MoveDicomFilesIntoHierarchy`

Create an instance label based on the DICOM attributes of the form:

If no information to create an instance label (the SOPInstanceUID is missing), an empty String is returned.

    SOPInstanceUID.dcm

Non-static so that sub-classes can override it.

Overrides:
  `makeInstanceLabelFromAttributes` in class `MoveDicomFilesIntoHierarchy`
Parameters:
  `list` - list of attributes
Returns:
  the instance label or an empty string